# std::function<R(Args...)>::swap

From cppreference.com
< cpp‎ | utility‎ | functional‎ | function

void swap( function& other ) noexcept; |  | (since C++11)

Exchanges the stored callable objects of *this and `other`.

### Parameters

other | - | function wrapper to exchange the stored callable object with

### Return value

(none)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/functional/function/swap&oldid=93398"